%define name gnomenetselect
%define version 0.6
%define release 2mdk

Summary: Enhanced Mozilla launch button for the GNOME panel
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://gnomenetselect.sourceforge.net/
BuildRequires: libpanel-applet-devel
BuildRequires: scrollkeeper
Requires: webclient

%description

Gnome NetSelect gives you a button for launching a web browser, and
jumping to URL or search results.

Gnome NetSelect can use the currently highlighted text. Just highlight
some text in any application and then click on the applet to jump to
the highlighted URL, or perform a search using the highlighted text.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang gnome-netselect --with-gnome
touch %buildroot%_datadir/gnome/help/gnome-netselect/C/gnome-netselect.html

%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-netselect.schemas > /dev/null
if [ -x %_bindir/scrollkeeper-update ]; then %_bindir/scrollkeeper-update -q || true ; fi
touch /usr/share/gnome/help/gnome-netselect/C/gnome-netselect.html
if [ -x %_bindir/yelp-pregenerate ]; then %_bindir/yelp-pregenerate /usr/share/gnome/help/gnome-netselect/C/gnome-netselect.xml > /dev/null || true ; fi

%preun
if [ "$1" = "0" ] ; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-netselect.schemas > /dev/null
fi

%postun
if [ -x %_bindir/scrollkeeper-update ]; then %_bindir/scrollkeeper-update -q || true ; fi


%files -f gnome-netselect.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%_sysconfdir/gconf/schemas/gnome-netselect.schemas
%_bindir/gnome-netselect
%_libdir/bonobo/servers/Gnome_NetSelect_Factory.server
%_datadir/gnome-2.0/ui/gnome-netselect.xml
%_datadir/gnome-netselect/
%_datadir/pixmaps/gnome-netselect/
%_datadir/omf/gnome-netselect
%ghost %_datadir/gnome/help/gnome-netselect/C/gnome-netselect.html

%changelog
* Mon Sep 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-2mdk
- fix buildrequires

* Mon Sep 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- initial package

